# Interface to the LoadCoreForKernel library.

## Data Structures

struct | SceModule
| Describes a module. More...
struct | SceLibraryEntryTable
| Defines a library and its exported functions and variables. More...
struct | SceLibraryStubTable
| Specifies a library and a set of imports from that library. More...

## Typedefs

typedef SceModule | SceModule
| Describes a module.
typedef SceLibraryEntryTable | SceLibraryEntryTable
| Defines a library and its exported functions and variables.
typedef SceLibraryStubTable | SceLibraryStubTable
| Specifies a library and a set of imports from that library.

## Functions

SceModule * | sceKernelFindModuleByName (const char *modname)
| Find a module by it's name.
SceModule * | sceKernelFindModuleByAddress (unsigned int addr)
| Find a module from an address.
SceModule * | sceKernelFindModuleByUID (SceUID modid)
| Find a module by it's UID.
int | sceKernelModuleCount (void)
| Return the count of loaded modules.
void | sceKernelIcacheClearAll (void)
| Invalidate the CPU's instruction cache.

## Typedef Documentation

typedef struct SceLibraryEntryTable SceLibraryEntryTable

| Defines a library and its exported functions and variables. Use the len member to determine the real size of the table (size = len * 4).

typedef struct SceLibraryStubTable SceLibraryStubTable

| Specifies a library and a set of imports from that library. Use the len member to determine the real size of the table (size = len * 4).

typedef struct SceModule SceModule

| Describes a module. This structure could change in future firmware revisions.

## Function Documentation

SceModule* sceKernelFindModuleByAddress | ( | unsigned int | addr | ) |

Find a module from an address.

Parameters:

  | addr | - Address somewhere within the module.

Returns:
  Pointer to the SceModule structure if found, otherwise NULL.

SceModule* sceKernelFindModuleByName | ( | const char * | modname | ) |

Find a module by it's name.

Parameters:

  | modname | - The name of the module.

Returns:
  Pointer to the SceModule structure if found, otherwise NULL.

SceModule* sceKernelFindModuleByUID | ( | SceUID | modid | ) |

Find a module by it's UID.

Parameters:

  | modid | - The UID of the module.

Returns:
  Pointer to the SceModule structure if found, otherwise NULL.

void sceKernelIcacheClearAll | ( | void |  | ) |

| Invalidate the CPU's instruction cache.

int sceKernelModuleCount | ( | void |  | ) |

Return the count of loaded modules.

Returns:
  The count of loaded modules.